Subject: >>> Standards

From: [email-masked] (Jennifer Cross)
Date: Thu, 24 Oct 91 13:13:14 WST

> From: Bernie Roehl <[email-masked]>
> > From: [email-masked] (Jennifer Cross - pgmr)
> > > After some careful thought, I've come to the conclusion that the various
> > > VR input devices will be too varied to make a single, universal interface
> > > practical.
> >     Depends at which level of abstration you use.  SGI have a neat tool called
> >     "ConMan"  which uses a pipe type metaphor to "connect" processes.  With
> >     this, you could "connect" each of the PG output steams to various
> >     functions and customise the interface without any programming.
> >     (each process specifies it's input and output sockets to ConMan, and
> >     it manages the data flow).
> 
> Sounds great, but maybe a bit complex for what we're trying to do.
   just an example of a great idea (but might be just a little too hard
   for the 386 trying to run a VR environment.  But really this would work
   great on something like an (fast) Amiga since it has blindingly fast
   interprocess message passing, the "ConMan" (emulator) would only really
   take CPU during process registration (Sorry bout all those PC types
   with serious "interprocess" comms hassles.  Still, dedicate a segment
   as shared memory and a you could get decent xfer rates (even if not
   provided by OS).  And yes, I have an Amiga, and yes I work with
   PC's, Mac's, Suns and SG's all day (less SG for the moment <sadness>))

  [...]
> Okay, how about 0x48 to put glove in high-res mode, 0x50 to poll the glove...
> :-)
   Actually I think (IMHO) that to put the glove into hi-res a command
   init_glove(MODE,HIRES) -- 0x81 0x01 0x48  would be better
			       \    \	 `- High Res 
				\    `- set MODE command
				 `- Init command group
    or if you are certain there will be less than 255 Init settings,
    we could settle for     0x81 0x48  init MODE_HI_RES

    if performance is important on commands, impliment most critical
    as level 1 (1byte) commands.  If not enough of these use split
    secondary commands. (I love thinking up these things! - comes from
    implimenting CAD stuff on ComputerVision and CPM in fortran
    (I can feel my mind going Dave...)!! )

Thanks for the Welcome!
--        ___
         (   >                  /)                        (voice) +61 9 362 6680
          __/_/> ____  ____  o //  _  __            (home)  [email-masked]
         / / (__/ / <_/ / <_<_//__</_/ (_ @ Beautiful Perth, Western Australia
        <_/                  />                     (work) [email-masked]
                            </                            (voice) +61 9 380 3879